OpenShot Audio Library | OpenShotAudio: juce::dsp::SIMDNativeOps< float > Struct Reference

OpenShot Audio Library | OpenShotAudio 0.4.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | List of all members
juce::dsp::SIMDNativeOps< float > Struct Reference

`#include <juce_SIMDNativeOps_avx.h>`

## Public Types
using | vSIMDType = __m256
using | vSIMDType = float32x4_t
using | vMaskType = uint32x4_t
using | fb = SIMDFallbackOps<float, vSIMDType>
using | vSIMDType = __m128

## Public Member Functions
| DECLARE_AVX_SIMD_CONST (int32_t, kAllBitsSet)
| DECLARE_AVX_SIMD_CONST (int32_t, kEvenHighBit)
| DECLARE_AVX_SIMD_CONST (float, kOne)
| DECLARE_NEON_SIMD_CONST (int32_t, kAllBitsSet)
| DECLARE_NEON_SIMD_CONST (int32_t, kEvenHighBit)
| DECLARE_NEON_SIMD_CONST (float, kOne)
| DECLARE_SSE_SIMD_CONST (int32_t, kAllBitsSet)
| DECLARE_SSE_SIMD_CONST (int32_t, kEvenHighBit)
| DECLARE_SSE_SIMD_CONST (float, kOne)

## Static Public Member Functions
static forcedinline __m256 JUCE_VECTOR_CALLTYPE | vconst (const float *a) noexcept
static forcedinline __m256 JUCE_VECTOR_CALLTYPE | vconst (const int32_t *a) noexcept
static forcedinline __m256 JUCE_VECTOR_CALLTYPE | expand (float s) noexcept
static forcedinline __m256 JUCE_VECTOR_CALLTYPE | load (const float *a) noexcept
static forcedinline void JUCE_VECTOR_CALLTYPE | store (__m256 value, float *dest) noexcept
static forcedinline __m256 JUCE_VECTOR_CALLTYPE | add (__m256 a, __m256 b) noexcept
static forcedinline __m256 JUCE_VECTOR_CALLTYPE | sub (__m256 a, __m256 b) noexcept
static forcedinline __m256 JUCE_VECTOR_CALLTYPE | mul (__m256 a, __m256 b) noexcept
static forcedinline __m256 JUCE_VECTOR_CALLTYPE | bit_and (__m256 a, __m256 b) noexcept
static forcedinline __m256 JUCE_VECTOR_CALLTYPE | bit_or (__m256 a, __m256 b) noexcept
static forcedinline __m256 JUCE_VECTOR_CALLTYPE | bit_xor (__m256 a, __m256 b) noexcept
static forcedinline __m256 JUCE_VECTOR_CALLTYPE | bit_notand (__m256 a, __m256 b) noexcept
static forcedinline __m256 JUCE_VECTOR_CALLTYPE | bit_not (__m256 a) noexcept
static forcedinline __m256 JUCE_VECTOR_CALLTYPE | min (__m256 a, __m256 b) noexcept
static forcedinline __m256 JUCE_VECTOR_CALLTYPE | max (__m256 a, __m256 b) noexcept
static forcedinline __m256 JUCE_VECTOR_CALLTYPE | equal (__m256 a, __m256 b) noexcept
static forcedinline __m256 JUCE_VECTOR_CALLTYPE | notEqual (__m256 a, __m256 b) noexcept
static forcedinline __m256 JUCE_VECTOR_CALLTYPE | greaterThan (__m256 a, __m256 b) noexcept
static forcedinline __m256 JUCE_VECTOR_CALLTYPE | greaterThanOrEqual (__m256 a, __m256 b) noexcept
static forcedinline bool JUCE_VECTOR_CALLTYPE | allEqual (__m256 a, __m256 b) noexcept
static forcedinline __m256 JUCE_VECTOR_CALLTYPE | dupeven (__m256 a) noexcept
static forcedinline __m256 JUCE_VECTOR_CALLTYPE | dupodd (__m256 a) noexcept
static forcedinline __m256 JUCE_VECTOR_CALLTYPE | swapevenodd (__m256 a) noexcept
static forcedinline float JUCE_VECTOR_CALLTYPE | get (__m256 v, size_t i) noexcept
static forcedinline __m256 JUCE_VECTOR_CALLTYPE | set (__m256 v, size_t i, float s) noexcept
static forcedinline __m256 JUCE_VECTOR_CALLTYPE | truncate (__m256 a) noexcept
static forcedinline __m256 JUCE_VECTOR_CALLTYPE | multiplyAdd (__m256 a, __m256 b, __m256 c) noexcept
static forcedinline __m256 JUCE_VECTOR_CALLTYPE | oddevensum (__m256 a) noexcept
static forcedinline __m256 JUCE_VECTOR_CALLTYPE | cmplxmul (__m256 a, __m256 b) noexcept
static forcedinline float JUCE_VECTOR_CALLTYPE | sum (__m256 a) noexcept
static forcedinline vSIMDType | expand (float s) noexcept
static forcedinline vSIMDType | load (const float *a) noexcept
static forcedinline float | get (vSIMDType v, size_t i) noexcept
static forcedinline vSIMDType | set (vSIMDType v, size_t i, float s) noexcept
static forcedinline void | store (vSIMDType value, float *a) noexcept
static forcedinline vSIMDType | add (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | sub (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | mul (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | bit_and (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | bit_or (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | bit_xor (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | bit_notand (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | bit_not (vSIMDType a) noexcept
static forcedinline vSIMDType | min (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | max (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | equal (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | notEqual (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | greaterThan (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | greaterThanOrEqual (vSIMDType a, vSIMDType b) noexcept
static forcedinline bool | allEqual (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | multiplyAdd (vSIMDType a, vSIMDType b, vSIMDType c) noexcept
static forcedinline vSIMDType | dupeven (vSIMDType a) noexcept
static forcedinline vSIMDType | dupodd (vSIMDType a) noexcept
static forcedinline vSIMDType | swapevenodd (vSIMDType a) noexcept
static forcedinline vSIMDType | oddevensum (vSIMDType a) noexcept
static forcedinline vSIMDType | truncate (vSIMDType a) noexcept
static forcedinline vSIMDType | cmplxmul (vSIMDType a, vSIMDType b) noexcept
static forcedinline float | sum (vSIMDType a) noexcept
static forcedinline __m128 JUCE_VECTOR_CALLTYPE | expand (float s) noexcept
static forcedinline __m128 JUCE_VECTOR_CALLTYPE | load (const float *a) noexcept
static forcedinline void JUCE_VECTOR_CALLTYPE | store (__m128 value, float *dest) noexcept
static forcedinline __m128 JUCE_VECTOR_CALLTYPE | add (__m128 a, __m128 b) noexcept
static forcedinline __m128 JUCE_VECTOR_CALLTYPE | sub (__m128 a, __m128 b) noexcept
static forcedinline __m128 JUCE_VECTOR_CALLTYPE | mul (__m128 a, __m128 b) noexcept
static forcedinline __m128 JUCE_VECTOR_CALLTYPE | bit_and (__m128 a, __m128 b) noexcept
static forcedinline __m128 JUCE_VECTOR_CALLTYPE | bit_or (__m128 a, __m128 b) noexcept
static forcedinline __m128 JUCE_VECTOR_CALLTYPE | bit_xor (__m128 a, __m128 b) noexcept
static forcedinline __m128 JUCE_VECTOR_CALLTYPE | bit_notand (__m128 a, __m128 b) noexcept
static forcedinline __m128 JUCE_VECTOR_CALLTYPE | bit_not (__m128 a) noexcept
static forcedinline __m128 JUCE_VECTOR_CALLTYPE | min (__m128 a, __m128 b) noexcept
static forcedinline __m128 JUCE_VECTOR_CALLTYPE | max (__m128 a, __m128 b) noexcept
static forcedinline __m128 JUCE_VECTOR_CALLTYPE | equal (__m128 a, __m128 b) noexcept
static forcedinline __m128 JUCE_VECTOR_CALLTYPE | notEqual (__m128 a, __m128 b) noexcept
static forcedinline __m128 JUCE_VECTOR_CALLTYPE | greaterThan (__m128 a, __m128 b) noexcept
static forcedinline __m128 JUCE_VECTOR_CALLTYPE | greaterThanOrEqual (__m128 a, __m128 b) noexcept
static forcedinline bool JUCE_VECTOR_CALLTYPE | allEqual (__m128 a, __m128 b) noexcept
static forcedinline __m128 JUCE_VECTOR_CALLTYPE | multiplyAdd (__m128 a, __m128 b, __m128 c) noexcept
static forcedinline __m128 JUCE_VECTOR_CALLTYPE | dupeven (__m128 a) noexcept
static forcedinline __m128 JUCE_VECTOR_CALLTYPE | dupodd (__m128 a) noexcept
static forcedinline __m128 JUCE_VECTOR_CALLTYPE | swapevenodd (__m128 a) noexcept
static forcedinline __m128 JUCE_VECTOR_CALLTYPE | oddevensum (__m128 a) noexcept
static forcedinline float JUCE_VECTOR_CALLTYPE | get (__m128 v, size_t i) noexcept
static forcedinline __m128 JUCE_VECTOR_CALLTYPE | set (__m128 v, size_t i, float s) noexcept
static forcedinline __m128 JUCE_VECTOR_CALLTYPE | truncate (__m128 a) noexcept
static forcedinline __m128 JUCE_VECTOR_CALLTYPE | cmplxmul (__m128 a, __m128 b) noexcept
static forcedinline float JUCE_VECTOR_CALLTYPE | sum (__m128 a) noexcept

## Detailed Description

Single-precision floating point AVX intrinsics.

Single-precision floating point NEON intrinsics.

Single-precision floating point SSE intrinsics.

Definition at line 58 of file juce_SIMDNativeOps_sse.h.

## Member Typedef Documentation

## ◆ fb

using juce::dsp::SIMDNativeOps< float >::fb = SIMDFallbackOps<float, vSIMDType>

Definition at line 404 of file juce_SIMDNativeOps_neon.h.

## ◆ vMaskType

using juce::dsp::SIMDNativeOps< float >::vMaskType = uint32x4_t

Definition at line 403 of file juce_SIMDNativeOps_neon.h.

## ◆ vSIMDType [1/3]

using juce::dsp::SIMDNativeOps< float >::vSIMDType = __m256

Definition at line 58 of file juce_SIMDNativeOps_avx.h.

## ◆ vSIMDType [2/3]

using juce::dsp::SIMDNativeOps< float >::vSIMDType = float32x4_t

Definition at line 402 of file juce_SIMDNativeOps_neon.h.

## ◆ vSIMDType [3/3]

using juce::dsp::SIMDNativeOps< float >::vSIMDType = __m128

Definition at line 61 of file juce_SIMDNativeOps_sse.h.

## Member Function Documentation

## ◆ add() [1/3]

static forcedinline __m128 JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< float >::add | ( | __m128 | a,
|  | __m128 | b )
| inlinestaticnoexcept

Definition at line 72 of file juce_SIMDNativeOps_sse.h.

## ◆ add() [2/3]

static forcedinline __m256 JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< float >::add | ( | __m256 | a,
|  | __m256 | b )
| inlinestaticnoexcept

Definition at line 71 of file juce_SIMDNativeOps_avx.h.

## ◆ add() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< float >::add | ( | vSIMDType | a,
|  | vSIMDType | b )
| inlinestaticnoexcept

Definition at line 417 of file juce_SIMDNativeOps_neon.h.

## ◆ allEqual() [1/3]

static forcedinline bool JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< float >::allEqual | ( | __m128 | a,
|  | __m128 | b )
| inlinestaticnoexcept

Definition at line 86 of file juce_SIMDNativeOps_sse.h.

## ◆ allEqual() [2/3]

static forcedinline bool JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< float >::allEqual | ( | __m256 | a,
|  | __m256 | b )
| inlinestaticnoexcept

Definition at line 85 of file juce_SIMDNativeOps_avx.h.

## ◆ allEqual() [3/3]

static forcedinline bool juce::dsp::SIMDNativeOps< float >::allEqual | ( | vSIMDType | a,
|  | vSIMDType | b )
| inlinestaticnoexcept

Definition at line 431 of file juce_SIMDNativeOps_neon.h.

## ◆ bit_and() [1/3]

static forcedinline __m128 JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< float >::bit_and | ( | __m128 | a,
|  | __m128 | b )
| inlinestaticnoexcept

Definition at line 75 of file juce_SIMDNativeOps_sse.h.

## ◆ bit_and() [2/3]

static forcedinline __m256 JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< float >::bit_and | ( | __m256 | a,
|  | __m256 | b )
| inlinestaticnoexcept

Definition at line 74 of file juce_SIMDNativeOps_avx.h.

## ◆ bit_and() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< float >::bit_and | ( | vSIMDType | a,
|  | vSIMDType | b )
| inlinestaticnoexcept

Definition at line 420 of file juce_SIMDNativeOps_neon.h.

## ◆ bit_not() [1/3]

static forcedinline __m128 JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< float >::bit_not | ( | __m128 | a | ) |
| inlinestaticnoexcept

Definition at line 79 of file juce_SIMDNativeOps_sse.h.

## ◆ bit_not() [2/3]

static forcedinline __m256 JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< float >::bit_not | ( | __m256 | a | ) |
| inlinestaticnoexcept

Definition at line 78 of file juce_SIMDNativeOps_avx.h.

## ◆ bit_not() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< float >::bit_not | ( | vSIMDType | a | ) |
| inlinestaticnoexcept

Definition at line 424 of file juce_SIMDNativeOps_neon.h.

## ◆ bit_notand() [1/3]

static forcedinline __m128 JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< float >::bit_notand | ( | __m128 | a,
|  | __m128 | b )
| inlinestaticnoexcept

Definition at line 78 of file juce_SIMDNativeOps_sse.h.

## ◆ bit_notand() [2/3]

static forcedinline __m256 JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< float >::bit_notand | ( | __m256 | a,
|  | __m256 | b )
| inlinestaticnoexcept

Definition at line 77 of file juce_SIMDNativeOps_avx.h.

## ◆ bit_notand() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< float >::bit_notand | ( | vSIMDType | a,
|  | vSIMDType | b )
| inlinestaticnoexcept

Definition at line 423 of file juce_SIMDNativeOps_neon.h.

## ◆ bit_or() [1/3]

static forcedinline __m128 JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< float >::bit_or | ( | __m128 | a,
|  | __m128 | b )
| inlinestaticnoexcept

Definition at line 76 of file juce_SIMDNativeOps_sse.h.

## ◆ bit_or() [2/3]

static forcedinline __m256 JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< float >::bit_or | ( | __m256 | a,
|  | __m256 | b )
| inlinestaticnoexcept

Definition at line 75 of file juce_SIMDNativeOps_avx.h.

## ◆ bit_or() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< float >::bit_or | ( | vSIMDType | a,
|  | vSIMDType | b )
| inlinestaticnoexcept

Definition at line 421 of file juce_SIMDNativeOps_neon.h.

## ◆ bit_xor() [1/3]

static forcedinline __m128 JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< float >::bit_xor | ( | __m128 | a,
|  | __m128 | b )
| inlinestaticnoexcept

Definition at line 77 of file juce_SIMDNativeOps_sse.h.

## ◆ bit_xor() [2/3]

static forcedinline __m256 JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< float >::bit_xor | ( | __m256 | a,
|  | __m256 | b )
| inlinestaticnoexcept

Definition at line 76 of file juce_SIMDNativeOps_avx.h.

## ◆ bit_xor() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< float >::bit_xor | ( | vSIMDType | a,
|  | vSIMDType | b )
| inlinestaticnoexcept

Definition at line 422 of file juce_SIMDNativeOps_neon.h.

## ◆ cmplxmul() [1/3]

static forcedinline __m128 JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< float >::cmplxmul | ( | __m128 | a,
|  | __m128 | b )
| inlinestaticnoexcept

Definition at line 97 of file juce_SIMDNativeOps_sse.h.

## ◆ cmplxmul() [2/3]

static forcedinline __m256 JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< float >::cmplxmul | ( | __m256 | a,
|  | __m256 | b )
| inlinestaticnoexcept

Definition at line 109 of file juce_SIMDNativeOps_avx.h.

## ◆ cmplxmul() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< float >::cmplxmul | ( | vSIMDType | a,
|  | vSIMDType | b )
| inlinestaticnoexcept

Definition at line 440 of file juce_SIMDNativeOps_neon.h.

## ◆ dupeven() [1/3]

static forcedinline __m128 JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< float >::dupeven | ( | __m128 | a | ) |
| inlinestaticnoexcept

Definition at line 88 of file juce_SIMDNativeOps_sse.h.

## ◆ dupeven() [2/3]

static forcedinline __m256 JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< float >::dupeven | ( | __m256 | a | ) |
| inlinestaticnoexcept

Definition at line 86 of file juce_SIMDNativeOps_avx.h.

## ◆ dupeven() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< float >::dupeven | ( | vSIMDType | a | ) |
| inlinestaticnoexcept

Definition at line 433 of file juce_SIMDNativeOps_neon.h.

## ◆ dupodd() [1/3]

static forcedinline __m128 JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< float >::dupodd | ( | __m128 | a | ) |
| inlinestaticnoexcept

Definition at line 89 of file juce_SIMDNativeOps_sse.h.

## ◆ dupodd() [2/3]

static forcedinline __m256 JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< float >::dupodd | ( | __m256 | a | ) |
| inlinestaticnoexcept

Definition at line 87 of file juce_SIMDNativeOps_avx.h.

## ◆ dupodd() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< float >::dupodd | ( | vSIMDType | a | ) |
| inlinestaticnoexcept

Definition at line 434 of file juce_SIMDNativeOps_neon.h.

## ◆ equal() [1/3]

static forcedinline __m128 JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< float >::equal | ( | __m128 | a,
|  | __m128 | b )
| inlinestaticnoexcept

Definition at line 82 of file juce_SIMDNativeOps_sse.h.

## ◆ equal() [2/3]

static forcedinline __m256 JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< float >::equal | ( | __m256 | a,
|  | __m256 | b )
| inlinestaticnoexcept

Definition at line 81 of file juce_SIMDNativeOps_avx.h.

## ◆ equal() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< float >::equal | ( | vSIMDType | a,
|  | vSIMDType | b )
| inlinestaticnoexcept

Definition at line 427 of file juce_SIMDNativeOps_neon.h.

## ◆ expand() [1/3]

static forcedinline __m256 JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< float >::expand | ( | float | s | ) |
| inlinestaticnoexcept

Definition at line 68 of file juce_SIMDNativeOps_avx.h.

## ◆ expand() [2/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< float >::expand | ( | float | s | ) |
| inlinestaticnoexcept

Definition at line 412 of file juce_SIMDNativeOps_neon.h.

## ◆ expand() [3/3]

static forcedinline __m128 JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< float >::expand | ( | float | s | ) |
| inlinestaticnoexcept

Definition at line 69 of file juce_SIMDNativeOps_sse.h.

## ◆ get() [1/3]

static forcedinline float JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< float >::get | ( | __m128 | v,
|  | size_t | i )
| inlinestaticnoexcept

Definition at line 92 of file juce_SIMDNativeOps_sse.h.

## ◆ get() [2/3]

static forcedinline float JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< float >::get | ( | __m256 | v,
|  | size_t | i )
| inlinestaticnoexcept

Definition at line 89 of file juce_SIMDNativeOps_avx.h.

## ◆ get() [3/3]

static forcedinline float juce::dsp::SIMDNativeOps< float >::get | ( | vSIMDType | v,
|  | size_t | i )
| inlinestaticnoexcept

Definition at line 414 of file juce_SIMDNativeOps_neon.h.

## ◆ greaterThan() [1/3]

static forcedinline __m128 JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< float >::greaterThan | ( | __m128 | a,
|  | __m128 | b )
| inlinestaticnoexcept

Definition at line 84 of file juce_SIMDNativeOps_sse.h.

## ◆ greaterThan() [2/3]

static forcedinline __m256 JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< float >::greaterThan | ( | __m256 | a,
|  | __m256 | b )
| inlinestaticnoexcept

Definition at line 83 of file juce_SIMDNativeOps_avx.h.

## ◆ greaterThan() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< float >::greaterThan | ( | vSIMDType | a,
|  | vSIMDType | b )
| inlinestaticnoexcept

Definition at line 429 of file juce_SIMDNativeOps_neon.h.

## ◆ greaterThanOrEqual() [1/3]

static forcedinline __m128 JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< float >::greaterThanOrEqual | ( | __m128 | a,
|  | __m128 | b )
| inlinestaticnoexcept

Definition at line 85 of file juce_SIMDNativeOps_sse.h.

## ◆ greaterThanOrEqual() [2/3]

static forcedinline __m256 JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< float >::greaterThanOrEqual | ( | __m256 | a,
|  | __m256 | b )
| inlinestaticnoexcept

Definition at line 84 of file juce_SIMDNativeOps_avx.h.

## ◆ greaterThanOrEqual() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< float >::greaterThanOrEqual | ( | vSIMDType | a,
|  | vSIMDType | b )
| inlinestaticnoexcept

Definition at line 430 of file juce_SIMDNativeOps_neon.h.

## ◆ load() [1/3]

static forcedinline __m256 JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< float >::load | ( | const float * | a | ) |
| inlinestaticnoexcept

Definition at line 69 of file juce_SIMDNativeOps_avx.h.

## ◆ load() [2/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< float >::load | ( | const float * | a | ) |
| inlinestaticnoexcept

Definition at line 413 of file juce_SIMDNativeOps_neon.h.

## ◆ load() [3/3]

static forcedinline __m128 JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< float >::load | ( | const float * | a | ) |
| inlinestaticnoexcept

Definition at line 70 of file juce_SIMDNativeOps_sse.h.

## ◆ max() [1/3]

static forcedinline __m128 JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< float >::max | ( | __m128 | a,
|  | __m128 | b )
| inlinestaticnoexcept

Definition at line 81 of file juce_SIMDNativeOps_sse.h.

## ◆ max() [2/3]

static forcedinline __m256 JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< float >::max | ( | __m256 | a,
|  | __m256 | b )
| inlinestaticnoexcept

Definition at line 80 of file juce_SIMDNativeOps_avx.h.

## ◆ max() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< float >::max | ( | vSIMDType | a,
|  | vSIMDType | b )
| inlinestaticnoexcept

Definition at line 426 of file juce_SIMDNativeOps_neon.h.

## ◆ min() [1/3]

static forcedinline __m128 JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< float >::min | ( | __m128 | a,
|  | __m128 | b )
| inlinestaticnoexcept

Definition at line 80 of file juce_SIMDNativeOps_sse.h.

## ◆ min() [2/3]

static forcedinline __m256 JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< float >::min | ( | __m256 | a,
|  | __m256 | b )
| inlinestaticnoexcept

Definition at line 79 of file juce_SIMDNativeOps_avx.h.

## ◆ min() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< float >::min | ( | vSIMDType | a,
|  | vSIMDType | b )
| inlinestaticnoexcept

Definition at line 425 of file juce_SIMDNativeOps_neon.h.

## ◆ mul() [1/3]

static forcedinline __m128 JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< float >::mul | ( | __m128 | a,
|  | __m128 | b )
| inlinestaticnoexcept

Definition at line 74 of file juce_SIMDNativeOps_sse.h.

## ◆ mul() [2/3]

static forcedinline __m256 JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< float >::mul | ( | __m256 | a,
|  | __m256 | b )
| inlinestaticnoexcept

Definition at line 73 of file juce_SIMDNativeOps_avx.h.

## ◆ mul() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< float >::mul | ( | vSIMDType | a,
|  | vSIMDType | b )
| inlinestaticnoexcept

Definition at line 419 of file juce_SIMDNativeOps_neon.h.

## ◆ multiplyAdd() [1/3]

static forcedinline __m128 JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< float >::multiplyAdd | ( | __m128 | a,
|  | __m128 | b,
|  | __m128 | c )
| inlinestaticnoexcept

Definition at line 87 of file juce_SIMDNativeOps_sse.h.

## ◆ multiplyAdd() [2/3]

static forcedinline __m256 JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< float >::multiplyAdd | ( | __m256 | a,
|  | __m256 | b,
|  | __m256 | c )
| inlinestaticnoexcept

Definition at line 93 of file juce_SIMDNativeOps_avx.h.

## ◆ multiplyAdd() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< float >::multiplyAdd | ( | vSIMDType | a,
|  | vSIMDType | b,
|  | vSIMDType | c )
| inlinestaticnoexcept

Definition at line 432 of file juce_SIMDNativeOps_neon.h.

## ◆ notEqual() [1/3]

static forcedinline __m128 JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< float >::notEqual | ( | __m128 | a,
|  | __m128 | b )
| inlinestaticnoexcept

Definition at line 83 of file juce_SIMDNativeOps_sse.h.

## ◆ notEqual() [2/3]

static forcedinline __m256 JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< float >::notEqual | ( | __m256 | a,
|  | __m256 | b )
| inlinestaticnoexcept

Definition at line 82 of file juce_SIMDNativeOps_avx.h.

## ◆ notEqual() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< float >::notEqual | ( | vSIMDType | a,
|  | vSIMDType | b )
| inlinestaticnoexcept

Definition at line 428 of file juce_SIMDNativeOps_neon.h.

## ◆ oddevensum() [1/3]

static forcedinline __m128 JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< float >::oddevensum | ( | __m128 | a | ) |
| inlinestaticnoexcept

Definition at line 91 of file juce_SIMDNativeOps_sse.h.

## ◆ oddevensum() [2/3]

static forcedinline __m256 JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< float >::oddevensum | ( | __m256 | a | ) |
| inlinestaticnoexcept

Definition at line 102 of file juce_SIMDNativeOps_avx.h.

## ◆ oddevensum() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< float >::oddevensum | ( | vSIMDType | a | ) |
| inlinestaticnoexcept

Definition at line 436 of file juce_SIMDNativeOps_neon.h.

## ◆ set() [1/3]

static forcedinline __m128 JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< float >::set | ( | __m128 | v,
|  | size_t | i,
|  | float | s )
| inlinestaticnoexcept

Definition at line 93 of file juce_SIMDNativeOps_sse.h.

## ◆ set() [2/3]

static forcedinline __m256 JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< float >::set | ( | __m256 | v,
|  | size_t | i,
|  | float | s )
| inlinestaticnoexcept

Definition at line 90 of file juce_SIMDNativeOps_avx.h.

## ◆ set() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< float >::set | ( | vSIMDType | v,
|  | size_t | i,
|  | float | s )
| inlinestaticnoexcept

Definition at line 415 of file juce_SIMDNativeOps_neon.h.

## ◆ store() [1/3]

static forcedinline void JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< float >::store | ( | __m128 | value,
|  | float * | dest )
| inlinestaticnoexcept

Definition at line 71 of file juce_SIMDNativeOps_sse.h.

## ◆ store() [2/3]

static forcedinline void JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< float >::store | ( | __m256 | value,
|  | float * | dest )
| inlinestaticnoexcept

Definition at line 70 of file juce_SIMDNativeOps_avx.h.

## ◆ store() [3/3]

static forcedinline void juce::dsp::SIMDNativeOps< float >::store | ( | vSIMDType | value,
|  | float * | a )
| inlinestaticnoexcept

Definition at line 416 of file juce_SIMDNativeOps_neon.h.

## ◆ sub() [1/3]

static forcedinline __m128 JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< float >::sub | ( | __m128 | a,
|  | __m128 | b )
| inlinestaticnoexcept

Definition at line 73 of file juce_SIMDNativeOps_sse.h.

## ◆ sub() [2/3]

static forcedinline __m256 JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< float >::sub | ( | __m256 | a,
|  | __m256 | b )
| inlinestaticnoexcept

Definition at line 72 of file juce_SIMDNativeOps_avx.h.

## ◆ sub() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< float >::sub | ( | vSIMDType | a,
|  | vSIMDType | b )
| inlinestaticnoexcept

Definition at line 418 of file juce_SIMDNativeOps_neon.h.

## ◆ sum() [1/3]

static forcedinline float JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< float >::sum | ( | __m128 | a | ) |
| inlinestaticnoexcept

Definition at line 104 of file juce_SIMDNativeOps_sse.h.

## ◆ sum() [2/3]

static forcedinline float JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< float >::sum | ( | __m256 | a | ) |
| inlinestaticnoexcept

Definition at line 116 of file juce_SIMDNativeOps_avx.h.

## ◆ sum() [3/3]

static forcedinline float juce::dsp::SIMDNativeOps< float >::sum | ( | vSIMDType | a | ) |
| inlinestaticnoexcept

Definition at line 447 of file juce_SIMDNativeOps_neon.h.

## ◆ swapevenodd() [1/3]

static forcedinline __m128 JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< float >::swapevenodd | ( | __m128 | a | ) |
| inlinestaticnoexcept

Definition at line 90 of file juce_SIMDNativeOps_sse.h.

## ◆ swapevenodd() [2/3]

static forcedinline __m256 JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< float >::swapevenodd | ( | __m256 | a | ) |
| inlinestaticnoexcept

Definition at line 88 of file juce_SIMDNativeOps_avx.h.

## ◆ swapevenodd() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< float >::swapevenodd | ( | vSIMDType | a | ) |
| inlinestaticnoexcept

Definition at line 435 of file juce_SIMDNativeOps_neon.h.

## ◆ truncate() [1/3]

static forcedinline __m128 JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< float >::truncate | ( | __m128 | a | ) |
| inlinestaticnoexcept

Definition at line 94 of file juce_SIMDNativeOps_sse.h.

## ◆ truncate() [2/3]

static forcedinline __m256 JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< float >::truncate | ( | __m256 | a | ) |
| inlinestaticnoexcept

Definition at line 91 of file juce_SIMDNativeOps_avx.h.

## ◆ truncate() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< float >::truncate | ( | vSIMDType | a | ) |
| inlinestaticnoexcept

Definition at line 437 of file juce_SIMDNativeOps_neon.h.

## ◆ vconst() [1/2]

static forcedinline __m256 JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< float >::vconst | ( | const float * | a | ) |
| inlinestaticnoexcept

Definition at line 66 of file juce_SIMDNativeOps_avx.h.

## ◆ vconst() [2/2]

static forcedinline __m256 JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< float >::vconst | ( | const int32_t * | a | ) |
| inlinestaticnoexcept

Definition at line 67 of file juce_SIMDNativeOps_avx.h.

The documentation for this struct was generated from the following files:

- juce_SIMDNativeOps_avx.h
- juce_SIMDNativeOps_neon.h
- juce_SIMDNativeOps_sse.h